Skip to main content
GET
/
{storeId}
/
products
Get all products.
curl --request GET \
  --url https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products
import requests

url = "https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://partner-api.aasaan.shop/api/v1/partner-integrations/stores/{storeId}/products', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "total": 123,
  "page": 123,
  "perPage": 123,
  "results": [
    "<unknown>"
  ]
}

Path Parameters

storeId
string
required

Store ID for this resource request

Query Parameters

page
number

Current Page

perPage
integer

Number of products per page

Response

A list of all products.

total
number

Total number of records

page
number

Page Number

perPage
number

No of records per page

results
any[]